Passwords
Restore a client password
Use this method to restore a password for a client who isn't signed in to the Trader's Room.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
successToken*string
The success token.
To obtain the success token, use the methods to initiate a 2FA procedure (POST/api/v2/my/2fa/unauthorized/challenge) and then complete it (POST/api/v2/my/2fa/challenge).
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/password/restore" \ -H "successToken: b2fcf999-2b0b-451d-9888-094a79117aa5" \ -H "Content-Type: application/json" \ -d '{ "password": "m#P52s@ap$V" }'Empty
{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}